<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

include_once( "../include/class.SQLInteger.php" );
include_once( "../include/class.SQLString.php" );
include_once("auth.php");

## mysql verbindung aufbauen
db_connect($db_host, $db_user, $db_pass);
## /mysql verbindung aufbauen

## gehört kunde dem anbieter?
$id = safe_query( "select anbieter from kunden where kunde = ?  and anbieter = ? ", TRUE, new SQLString( $kunde ), new SQLString( $PHP_AUTH_USER ) );
if (db_num_rows($id) < 1)
	{
	 db_close();
	 include("statistiken_start.php");
	 exit();
	}
## /gehört kunde dem anbieter?

## aktuelles datum
if (istleer($jahr)) { $jahrstr = date("Y"); } else { $jahrstr = $jahr; }

if (istleer($monat)) {
$monat = date("n");
$jahr = date("Y");
}
$tag = date("j");

$monatstr = $lang_months[$monat];
## /aktuelles datum

## ausführliche stats
$id = safe_query( "select web, ftp, email, tag from transfer where kunde = ?  and anbieter = ?  and jahr = ?  and monat = ?  and geloescht = 0 order by tag", TRUE, new SQLString( $kunde ), new SQLString( $PHP_AUTH_USER ), new SQLInteger( $jahr ), new SQLInteger( $monat ) );
while ($werte = db_fetch_array($id))
	{
	 $web = $werte["web"];
	 $ftp = $werte["ftp"];
	 $email = $werte["email"];
	 $tag = $werte["tag"];
	 $gesamttmp = $ftp + $web + $email;
	 if ($gesamttmp > 0)
		{
		 $dtftp[] = $ftp;
		 $dtweb[] = $web;
		 $dtemail[] = $email;
		 $dtjahr[] = $jahr;
		 $dtmonat[] = $monat;
		 $dttag[] = $tag;
		 $dtgesamt[] = $gesamttmp;
		 $detailsgesamtgesamt += $gesamttmp;
		 $detailsgesamtftp += $ftp;
		 $detailsgesamtweb += $web;
		 $detailsgesamtemail += $email;
		}
	}

$detailsgesamtgesamt = $detailsgesamtweb + $detailsgesamtftp + $detailsgesamtemail;

## höchsten gesamtwert ermitteln
for ($i = 0; $i < count($dtgesamt); $i++)
	{
	 if ($maxgesamt < $dtgesamt[$i]) { $maxgesamt = $dtgesamt[$i]; }
	}
## /höchsten gesamtwert ermitteln

if ($maxgesamt == 0) { $maxgesamt = 1; }
## breite der balken bestimmen, maximale Breite=200pixel
for ($i = 0; $i < count($dtgesamt); $i++)
	{
	 $ftptmp = round(($dtftp[$i] / $maxgesamt) * 200);
	 if ($ftptmp ==0) { $dtftpp100[] = 1; } else { $dtftpp100[] = $ftptmp; }
	 $webtmp = round(($dtweb[$i] / $maxgesamt) * 200);
	 if ($webtmp == 0) { $dtwebp100[] = 1; } else { $dtwebp100[] = $webtmp; }
	 $emailtmp = round(($dtemail[$i] / $maxgesamt) * 200);
	 if ($emailtmp == 0) { $dtemailp100[] = 1; } else { $dtemailp100[] = $emailtmp; }
	}
## /breite der balken bestimmen, maximale Breite=200pixel
## /ausführliche stats

##############
## alle monate
$aktmonat = date("n");
$jahr = date("Y");

$id = safe_query( "select sum(web) as web, sum(ftp) as ftp, sum(email) as email, monat, jahr, (monat * jahr) as ident from transfer where kunde = ?  and anbieter = ?  and geloescht=0 group by ident, monat, jahr order by jahr desc, monat desc", TRUE, new SQLString( $kunde ), new SQLString( $PHP_AUTH_USER ) );
while ($werte = db_fetch_array($id))
	{
	 $monat = $werte["monat"];
	 $jahr = $werte["jahr"];
	 $web = $werte["web"];
	 $ftp = $werte["ftp"];
	 $email = $werte["email"];
	 $gesamttmp = $ftp + $web + $email;
	 if ($gesamttmp > 0)
		{
		 $amjahr[] = $jahr;
		 $ammonat[] = $monat;
		 $amweb[] = $web;
		 $amftp[] = $ftp;
		 $amemail[] = $email;
		 $amgesamt[] = $gesamttmp;
		 $allesweb += $web;
		 $allesftp += $ftp;
		 $allesemail += $email;
		}
	}

$allesgesamt = $allesweb + $allesftp + $allesemail;

## höchsten gesamtwert ermitteln
$maxgesamt = 0;
for ($i = 0; $i < count($amgesamt); $i++)
	{
	 if ($maxgesamt < $amgesamt[$i]) { $maxgesamt = $amgesamt[$i]; }
	}
# /höchsten gesamtwert ermitteln

if ($maxgesamt == 0) { $maxgesamt = 1; }
# breite der balken bestimmen, maximale Breite=200pixel
for ($i = 0; $i < count($amgesamt); $i++)
	{
	 $ftptmp = round(($amftp[$i] / $maxgesamt) * 200);
	 if ($ftptmp ==0) { $amftpp100[] = 1; } else { $amftpp100[] = $ftptmp; }
	 $webtmp = round(($amweb[$i] / $maxgesamt) * 200);
	 if ($webtmp == 0) { $amwebp100[] = 1; } else { $amwebp100[] = $webtmp; }
	 $emailtmp = round(($amemail[$i] / $maxgesamt) * 200);
	 if ($emailtmp == 0) { $amemailp100[] = 1; } else { $amemailp100[] = $emailtmp; }
	}
# /breite der balken bestimmen, maximale Breite=200pixel
# gesamtwerte
# /gesamtwerte
# /alle monate
###############

?>

<HTML>
<HEAD>
<META content="text/html; charset=<? echo $lang_html_charset; ?>" http-equiv=Content-Type>
<LINK href="<?=$strSkinName?>/style.css" rel=stylesheet type=text/css>
</HEAD>

<BODY bgColor=#ffffff bottomMargin=0 leftMargin=0 topMargin=0 MARGINHEIGHT="0" MARGINWIDTH="0">
<br><? include("../fehler.inc.php"); ?>
<script>
function doChange()
{
document.forms[0].submit();
}
</script>
<table class="tblbgcolor" align="left" border="1" cellpadding="3" cellspacing="0" bordercolorlight="#CCCCCC" bordercolordark="#FFFFFF">
<tr>
    <TD> 
      <b><? echo ltext("stdetr_title1"); ?> <? echo $kunde; ?></b>
      <p><? echo ltext("stdetr_descr1",array($kunde)); ?></p>
<table class="tblbgcolor" align="left" border="1" cellpadding="3" cellspacing="0" bordercolorlight="#CCCCCC" bordercolordark="#FFFFFF">
        <tr><td colspan=3 class="titel-3" ><? echo ltext("stdetr_title2"); ?> <? echo "$monatstr $jahrstr"; ?></td></tr>
	<tr> 
          <td  class="titel-3"  ><? echo ltext("stdetr_cell_day"); ?></td>
          <td   class="titel-3" ><? echo ltext("stdetr_cell_ftpweb"); ?><? if ($show_emailtransfer == 1) { echo " / ".ltext("stdetr_cell_email"); } ?></td>
          <td class="titel-3" >
            <? echo ltext("stdetr_cell_total"); ?>
            </td>
        </tr>

<?
for ($i = 0; $i < count($dtgesamt); $i++) {
?>

        <tr valign="bottom">
          <td ><? echo date($lang_format_date, strtotime("$dtmonat[$i]/$dttag[$i]/$dtjahr[$i]")); ?></td>
          <td ><img src="/ftptransf.gif" width="<? echo $dtftpp100[$i]; ?>" height="12"><img src="/webtransf.gif" width="<? echo $dtwebp100[$i]; ?>" height="12"><? if ($show_emailtransfer == 1) { ?><img src="/emailtransf.gif" width="<? echo $dtemailp100[$i]; ?>" height="12"><? } ?><br>
            <? echo sinnv_kbwert($dtftp[$i]); ?> / <? echo sinnv_kbwert($dtweb[$i]); ?><? if ($show_emailtransfer == 1) { echo " / ".sinnv_kbwert($dtemail[$i]); } ?></td>
          <td ><? echo sinnv_kbwert($dtgesamt[$i]); ?> </td>
        </tr>

<? } ?>

        <tr>
          <td class="titel-3" >
            <? echo ltext("stdetr_cell_total"); ?>
            </td>
          <td class="titel-3" ><? echo sinnv_kbwert($detailsgesamtftp)." / ".sinnv_kbwert($detailsgesamtweb); ?><? if ($show_emailtransfer == 1) { echo " / ".sinnv_kbwert($detailsgesamtemail); } ?></td>
          <td class="titel-3" ><? echo sinnv_kbwert($detailsgesamtgesamt); ?></td>
        </tr><tr><td colspan=3>&nbsp;</td></tr>
        <tr><td colspan=3 class="titel-3" ><? echo ltext("stdetr_title3"); ?> <? echo "$monatstr $jahrstr"; ?></td></tr>
        <tr> 
          <td class="titel-3" >
            <? echo ltext("stdetr_cell_month"); ?>
            </td>
          <td class="titel-3" >
            <? echo ltext("stdetr_cell_ftpweb"); ?>
            </td>
          <td class="titel-3" >
            <? echo ltext("stdetr_cell_total"); ?>
            </td>
        </tr>

<?

for ($i = 0; $i < count($amgesamt); $i++) { ?>

        <tr > 
          <td ><? if ($i < 3) { ?><a class=data href="statistiken_details_transfer.php?monat=<? echo $ammonat[$i]; ?>&jahr=<? echo $amjahr[$i]; ?>&kunde=<? echo $kunde; ?>"><? } ?><? echo "$ammonat[$i]/$amjahr[$i]"; ?><? if ($i < 3) { ?></a><? } ?></td>
          <td >
            <img src="/ftptransf.gif" width="<? echo $amftpp100[$i]; ?>" height="12"><img src="/webtransf.gif" width="<? echo $amwebp100[$i]; ?>" height="12"><? if ($show_emailtransfer == 1) { ?><img src="/emailtransf.gif" width="<? echo $amemailp100[$i]; ?>" height="12"><? } ?><br>
            <? echo sinnv_kbwert($amftp[$i]); ?> / <? echo sinnv_kbwert($amweb[$i]); ?><? if ($show_emailtransfer == 1) { echo " / ".sinnv_kbwert($amemail[$i]); } ?></td>
          <td ><? echo sinnv_kbwert($amgesamt[$i]); ?></td>
        </tr>

<? } ?>

        <tr>
          <td class="titel-3" >
            <? echo ltext("stdetr_cell_total"); ?>
            </td>
          <td class="titel-3" ><? echo sinnv_kbwert($allesftp)." / ".sinnv_kbwert($allesweb); ?><? if ($show_emailtransfer == 1) { echo " / ".sinnv_kbwert($allesemail); } ?></td>
          <td  class="titel-3" ><? echo sinnv_kbwert($allesgesamt); ?></td>
        </tr>
      </table>
    </TD>
  </TR>
</TABLE>
</BODY>
</HTML>

<?
db_close();
?>
